{ appimageTools, lib, fetchzip }:
let
  pname = "orca-slicer";
  version = "1.6.3";
  name = "OrcaSlicer_V${version}_Linux";

  srcZipped = fetchzip {
    url = "https://github.com/SoftFever/OrcaSlicer/releases/download/v${version}/OrcaSlicer_V${version}_Linux.zip";
    sha256 = "n/D0qfli+kPPKgDIujsPdZHdoUPex3SFuSqLlhGzxJY=";
  };

  appimageContents = appimageTools.extract {
    inherit pname version;
    src = "${srcZipped}/OrcaSlicer_V${version}_Linux.AppImage";
  };
in appimageTools.wrapType2 rec {
  inherit name version;
  src = "${srcZipped}/OrcaSlicer_V${version}_Linux.AppImage";

  extraInstallCommands = ''
    mkdir -p $out/bin
    mv $out/bin/${name} $out/bin/${pname}

  '';

  meta = with lib; {
    description = "orca Slicer is an open source slicer for FDM printers";
    homepage = "https://github.com/SoftFever/OrcaSlicer";
    license = licenses.agpl3Plus;
    maintainers = [ maintainers.aacebedo ];
    platforms = [ "x86_64-linux" ];
  };
}